<?php 

require_once(dirname(__FILE__) . '/' . 'utilities/htmlparser.php');

$target = array(
'&lt;?php','?&gt;',
'endwhile','while',
'endif','if',
'else','elseif',
'/*','*/');

$replace   = array(//мягкий знак - буква Ять
'<FONT COLOR="#dc2300">&lt;?php</FONT>',
'<FONT COLOR="#dc2300">?&gt;</FONT>',
'<FONT COLOR="#00ae00"><B>endwhile</B></FONT>',
'<FONT COLOR="#00ae00"><B>while</B></FONT>',
'<FONT COLOR="#00ae00"><B>endif</B></FONT>',
'<FONT COLOR="#00ae00"><B>if</B></FONT>',
'<FONT COLOR="#00ae00"><B>else</B></FONT>',
'<FONT COLOR="#00ae00"><B>elseif</B></FONT>',
'<FONT COLOR="#5c8526">/*',
'*/</FONT>'
);



//объявим массивы 
$masNameFrom = array(); 

  //----------------------------- 
  // откроем файл для записи ошибок 
  $filename = "error.txt"; 
  if(!($myErrorFile = fopen($filename, "w"))) {
    print("Error: "); 
    print("'$filename' could not be created\n"); 
    exit; 
  } 
  //----------------------------- 
  // open directory 
  $myDirectoryFrom = opendir("from1"); 
  $n=0; 
  // считаем в массив имена файлов из from1 
  while(FALSE !== ($entryName = readdir($myDirectoryFrom))) {
      $masNameFrom[$n] = $entryName; 
  $n++; 
  } 
  // сосчитаем количество элементов в массиве (файлов в директории) 
  $indexLimit = count($masNameFrom); 
  //----------------------------- 
  // open directory (в этой директории файлы WordPress!)
  $myDirectoryFrom2 = opendir("from2"); 
  $k=0; 
  // считаем в массив имена файлов из from2 
  while(FALSE !== ($entryName2 = readdir($myDirectoryFrom2))) {
      $masNameFrom2[$k] = $entryName2; 
  $k++; 
  } 
  // сосчитаем количество элементов в массиве (файлов в директории) 
  $indexLimit2 = count($masNameFrom2); 

for($index=2;$index<$indexLimit;$index++) {

    $nameFile = $masNameFrom[$index]; //имя файла
    $nameFile2 = $masNameFrom2[$index]; //имя файла
          
    //--------------------------- 
    //откроем первый исходный файл для чтения 
    $Temp = "from1/"; 
    $filenameFrom = "$Temp$nameFile"; //имена такие (выбраны из массива имен): "from1/Gl_01_03.html" 
    if(!($mySourceFile = fopen($filenameFrom, "r"))) {
        fputs($myErrorFile, "'$filenameFrom' could not be created\n" ); 
        exit; 
    }

    //--------------------------- 
    //откроем второй исходный файл для чтения 
    $Temp2 = "from2/"; 
    $filenameFrom2 = "$Temp2$nameFile2"; //имена такие (выбраны из массива имен): "from2/page.php  и тд" 

    $parser = HtmlParser_ForFile ($filenameFrom2);
    //print_r($parser);

    //откроем файл в каталоге to1 чтобы записать в него.
    $Temp3 = "to1/"; 
    $filenameTo = "$Temp3$nameFile"; //имена такие (выбраны из массива имен): "from1/Gl_01_03.html" 
    if(!($myFileTo = fopen($filenameTo, "w"))) {
        fputs($myErrorFile, "'$filenameTo' could not be opened\n" ); 
        exit; 
    } 
    $kn=0;
    $flag = false;
    $strTemp = "";
    //считаем построчно из первого исходного файла from в файл to 
    while(!feof($mySourceFile)) {
        
        //читаем строку из файла
        $myLine = fgets($mySourceFile, 1080);
        $str_temp = trim($myLine);

        if($kn<45){//скопируем без изменений 45 строк
            fputs($myFileTo, $myLine);
            $kn++;
            continue;
        }
///////////////////////////////////////////////////
///////////////////////////////////////////////////
///////////////////////////////////////////////////
        if($flag==false){
            fputs($myFileTo, "<h2>$nameFile2 </h2>"); //вставка имени файла в заголовок страницы
            fputs($myFileTo, '<hr>'); //вставка 
            fputs($myFileTo, '<PRE>'); //вставка 

            $masStruc = structOfTag($parser);
            $col_str = count($masStruc);
            //print_r($masStruc);

            $strout = "";
            $nodevalue = "";

            for($i=0;$i<$col_str;$i++){//просканируем массив структур
        
                $elem_temp = $masStruc[$i];
                $type  = $elem_temp[struct][type];
                $name  = $elem_temp[struct][name];
                $value = $elem_temp[struct][value];
				
				if($type == NODE_TYPE_TAGELEMENT 
				   || $type == NODE_TYPE_TAGBEGINELEMENT
				   || $type == NODE_TYPE_TAGENDELEMENT
				   || $type == NODE_TYPE_ENDELEMENT){

					$strtemp1 = htmlentities($value);
					$strtemp2 = str_replace($target,$replace,$strtemp1);
					$strtempOut = '<FONT COLOR="#2300dc">'.$strtemp2.'</FONT>';
				   
				}
				elseif($type == NODE_TYPE_COMMENT){
					$strtemp1 = htmlentities($value);
					$strtemp2 = str_replace($target,$replace,$strtemp1);
					$strtempOut = '<FONT COLOR="#5c8526">'.$strtemp2.'</FONT>';
				
				}
                else{
					$strtemp1 = htmlentities($value);
					$strtempOut = str_replace($target,$replace,$strtemp1);

                }				

                $strout .= $strtempOut;//сохраним в строку значение структуры
				
            }
			
            fputs($myFileTo, $strout); //запишем строку в файл

            fputs($myFileTo, '</PRE>'); //вставка 
            fputs($myFileTo, '<hr>'); //вставка 
            $flag = true;
        }
///////////////////////////////////////////////////
///////////////////////////////////////////////////
///////////////////////////////////////////////////

        fputs($myFileTo, $myLine); //запишем оставшиеся строки в файл-приемник

                
    }//end while

    // закроем файлы 
    fclose($mySourceFile);       
    fclose($myFileTo); 
///////////////////////////////////////////////////////////

}//end for

  // close directory 
  closedir($myDirectoryFrom2); 
  closedir($myDirectoryFrom); 
  //-------------------------------- 
///////////////////////////////////////////////////
///////////////////////////////////////////////////
///////////////////////////////////////////////////
///////////////////////////////////////////////////
///////////////////////////////////////////////////
///////////////////////////////////////////////////
    //--------------------------- 
    //откроем третий исходный файл для чтения 
    $Temp3 = "from3/Gl_01_01.html"; 
    $filenameFrom3 = "$Temp3"; //имена такие (выбраны из массива имен): "from2/page.php  и тд" 

    if(!($mySourceFile3 = fopen($filenameFrom3, "r"))) {
        fputs($myErrorFile, "'$filenameFrom3' could not be created\n" ); 
        exit; 
    }

    //откроем файл в каталоге to1 чтобы записать в него.
    $Temp3 = "to1/Gl_01_01.html"; 
    $filenameTo = "$Temp3"; //имена такие (выбраны из массива имен): "from1/Gl_01_03.html" 
    if(!($myFileTo = fopen($filenameTo, "w"))) {
        fputs($myErrorFile, "'$filenameTo' could not be opened\n" ); 
        exit; 
    } 

    $ind = 2;   
    //считаем построчно из третьего исходного файла from в файл to 
    while(!feof($mySourceFile3)) {
        
        //читаем строку из файла
        $myLine = fgets($mySourceFile3, 1080);
        $myLine = " ".$myLine;

        $pp = strpos($myLine,'<li><a href');
        if($pp){//
                
            if(strpos($myLine,'Gl_01_02.html')){
                fputs($myFileTo, $myLine);
                continue;
            }
                        
            if($ind<$indexLimit2){
                // имя файла 
                $fileNN = $masNameFrom2[$ind]; 

                $myNewLine = str_replace('</a><br>',"$fileNN</a><br>",$myLine); 
                fputs($myFileTo, $myNewLine);
                $ind++;
                continue;
            }
        }

        fputs($myFileTo, $myLine);

    }   

    fclose($mySourceFile3);      
    fclose($myFileTo); 
    fclose($myErrorFile); 
	
require_once(dirname(__FILE__) . '/' . 'index2.php');
        
  
  
  
  ?> 